Subject: Re: [Trustees] Proposed Revisions to the IETF Trust Legal Provisions (TLP)

From: Marshall Eubanks <[email-masked]>
Date: Sat, 18 Jul 2009 12:55:41 -0400

Hello;

We (the Trustees) have received feedback on the proposed changes to  
the Trust Legal Provisions (TLP) and have agreed to take the following  
actions. Since the original call went out on the 23rd of June, the  
comment period is extended to the 23rd of July.

1.  Reject lowering the TLP community review period to 14 days from  
the current 30 day period. (2.e)

2.  Retain the ability to include a short pointer to the BSD license  
for Code Component legends (6.d)

3.  Reference the BSD license as the 'Simplified BSD License' (4.c).  
With this, the new language is

      4. c. License.    In addition to the licenses granted under  
Section 3, unless one of the legends contained in
      Section 6.c.i or 6.c.ii is included in an IETF Document  
containing Code Components, such Code Components are
      also licensed to each person who wishes to receive such a  
license on the terms of the "Simplified BSD License",
      as described below.

Also

       The above BSD License is intended to be compatible with the  
Simplified BSD License template published at
       http://opensource.org/licenses/bsd-license.php .

4.  Move the URL in Section 6b to follow IETF Trust’s Legal Provisions  
Relating to IETF Documents as proposed

5.  Provide a TLP mailing list for interested parties to provide input  
regarding proposed policy changes before posting for community review

6.  Provide the rationale for proposed changes in the future, rather  
than a summary listing  of the changes

The rationale for the remaining summary of proposed changes will be  
sent in a separate email.

We have not heard feedback on the remaining changes (see below) and  
without additional comments those proposed changes will be  
implemented. The full text can be found at

http://trustee.ietf.org/policyandprocedures.html

under Draft Legal Provisions Relating to IETF Documents (18 June 2009)  
(TLP). I would urge interested parties to read and comment by the  
close of the comment period.

Regards
Marshall Eubanks
Chair
IETF Trust

On Jun 23, 2009, at 1:32 AM, Marshall Eubanks wrote:

> The IETF Trustees invite your comments on the proposed revisions to  
> the "Legal Provisions Relating to IETF Documents" (TLP) policy.  The  
> proposed revisions are in rtf, pdf and doc formats and located at: http://trustee.ietf.org/policyandprocedures.html 
>  under Draft Policies and Procedures for IETF Documents.
>
> This is a summary of the proposed revisions:
>
> 2.e -- the review period for TLP changes has been changed from 30 to  
> 14 days, which is consistent with the last-call period for other  
> IETF documents
>
> 2.f -- this new language describes the conditions under which the  
> IETF Trust will assume licensing and copyright responsibility for  
> IAB, IRTF and Independent Stream submissions, should the managers of  
> those streams request that it do so.
>
> 4.a -- the URL for the list of Code Components has been updated
>
> 4.c -- clarifies that the BSD License may not be applied to Code  
> Components that come from IETF Documents as to which the Contributor  
> has prohibited the making of derivative works.
>
> 4.e -- this new section clarifies the legend requirements for Code  
> Components that are used in software under the BSD License. In  
> short, the user must include the full BSD License text or a shorter  
> pointer to it (which is set forth in Section 6.d)
>
> 6 -- the language regarding placement of legends on IETF Documents  
> has been clarified.  Placement on the "first page" is no longer  
> required, and authority for placement of the legends is  with the  
> RFC Editor and IESG.
>
> 6.a - the words "to IETF" have been removed, to enable submission to  
> IAB, IRFT and other streams.
>
> 6.b -- a new sentence has been added to the legend that must be  
> placed on all IETF Documents, pointing out the BSD License  
> requirements described in 4.e above and emphasizing that code in  
> IETF Documents comes without any warranty, as described in the BSD  
> License.
>
> 6.c -- some minor clean-up edits
>
> 6.d -- the BSD legend/pointer described in 4.e above
>
> 7.a -- correction of capitalization
>
> Please accept this message as a formal request by the IETF Trustees  
> for your review and feedback on the proposed revision to the TLP  
> document. The comment period will end on July 20, 2009.
>
> I expect the Trustees will decide on whether to adopt this revision  
> shortly after July 20, 2009.
>
> Regards, and thanks in advance,
>
> Marshall Eubanks
> IETF Trust Chair
> _______________________________________________
> Trustees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trustees
>

---

From: Marshall Eubanks <[email-masked]>
Date: Sat, 18 Jul 2009 14:00:29 -0400

This is just a nit, but I did get a question on it :

Since the acronym "TLP" is only used twice in the Trust Legal  
Provisions document, the acronym will
not be used in that document and the term "Trust Legal Provisions"  
will be spelled out each time.

Regards
Marshall

On Jul 18, 2009, at 12:55 PM, Marshall Eubanks wrote:

> the Trust Legal Provisions (TLP) and have agreed to take the  
> following actions. Since the original call went out on the 23rd of  
> June, the comment period is extended to the 23rd of July.
>
> 4.  Move the URL in Section 6b to follow IETF Trust’s Legal  
> Provisions Relating to IETF Documents as proposed
>
> 5.  Provide a TLP mailing list for interested parties to provide  
> input regarding proposed policy changes before posting for community  
> review
>
> under Draft Legal Provisions Relating to IETF Documents (18 June  
> 2009) (TLP). I would urge interested parties to read and comment by  
> the close of the comment period.
>
> Regards
> Marshall Eubanks
> Chair
> IETF Trust
>
>> the "Legal Provisions Relating to IETF Documents" (TLP) policy.   
>> The proposed revisions are in rtf, pdf and doc formats and located  
>> at: http://trustee.ietf.org/policyandprocedures.html under Draft  
>> Policies and Procedures for IETF Documents.
>>
>> 2.e -- the review period for TLP changes has been changed from 30  
>> to 14 days, which is consistent with the last-call period for other  
>> IETF documents
>>
>> IAB, IRTF and Independent Stream submissions, should the managers  
>> of those streams request that it do so.
>>
>> Components that come from IETF Documents as to which the  
>> Contributor has prohibited the making of derivative works.
>>
>> 6.a - the words "to IETF" have been removed, to enable submission  
>> to IAB, IRFT and other streams.
>>

---

From: John C Klensin <[email-masked]>
Date: Sat, 18 Jul 2009 15:38:47 -0400

--On Saturday, July 18, 2009 12:55 -0400 Marshall Eubanks
<[email-masked]> wrote:

> Hello;
> 
> We (the Trustees) have received feedback on the proposed
> changes to the Trust Legal Provisions (TLP) and have agreed to
> take the following actions. Since the original call went out
> on the 23rd of June, the comment period is extended to the
> 23rd of July.
>...

Marshall,

While I believe these changes are all improvements, I also
recall several additional sets of comments on the IETF mailing
list, including those that addressed the issues of:

	(a) The relationship between the multiple-track
	definitions in RFC 4844 and, in particular, what it
	describes as the "IETF Track" versus other tracks (IAB,
	IRTF, Independent Submission) as compared to the
	apparent assumption of the TLP that all I-Ds and RFCs
	are IETF documents.
	
	(b) The provisions in the TLP that all IPR policies are
	to be developed according to the Trustee's
	interpretation of IETF Consensus.   RFC 4844 and
	long-term practices assume that there are broader, or at
	least different, communities involved in decisions about
	policies, including IPR policies, involving
	non-IETF-track documents.
	
	(c) Members of the community also questioned the
	process that the Trustees used to develop these policies
	and whether their content and style exceeded the
	authority of the Trustees under BCP 101 and the social
	contract between the Trustees and the community.

Should we assume that these issues (and others that I recall
less clearly) were addressed by the Trustees and rejected?   If
so, why has not the reasoning been supplied as required by BCP
101?  Or did they fall through the cracks or were dismissed out
of hand, without consideration?  

I note that

(1) the standard practice in the community, as exemplified by
IESG behavior under the sections of RFC 2026 in which the
lengths of Last Calls are specified, are that, if a document is
changed in a significant way, a new Last Call is issued,
normally with the same duration as the original.  The
"extension" to July 23 given new text provisions that are
announced only on 18 July amounts to a five day comment period
on those changed provisions in context with the rest of the
document.  I suggest that a five day review period not only does
not conform to the intent of provisions for comment and review
by the community but that it borders sufficiently on abusive for
me to request a review of the "operational procedures" of the
Trustees, both generally and as they apply to this action.

(2) the Trustees have published no minutes this calendar year,
or indeed since September 2008, so the answers to these
questions cannot be deduced from those minutes.  

(3) failure to publish minutes (only one set of minutes has been
published in the last 12 months), or otherwise keep the
community informed in a timely way about decisions and actions
of the Trustees violates the accountability requirements
specified in the first paragraph of Section 3 of RFC 4071, the
documentation requirements (including the reasons for decisions)
in the fourth paragraph of that section, the requirement for
transparency in the fifth bullet of Section 3.2, the "direct
accountability" provisions of Section 3.3,  and the general tone
and agreements that comprised the community discussions leading
up to the adoption of RFC 4071 as BCP 101.   

(4) the IPR discussion in Section 3 of RFC 4071 authorizes the
IASA to "manage" only those IPR rights that "belong to the IETF".

(5) nothing in RFC 4371 modifies the provisions discussed above.
The Trustees have the same responsibilities of openness,
transparency, accountability, and relationship to the community
that the IAOC does and members of the IAOC, whether acting as
Trustees or as IAOC members, have those same responsibilities.

(6) the Trustees have published what appears to be, in the
language of BCP 101, an "operational procedures" document in the
form of the "Administrative procedures of the IETF Trust", dated
20080417
(http://trustee.ietf.org/docs/Trust_Procedures_2008.pdf).  Those
those procedures appear to contain no provisions at all for
consultation with the community or documentation consistent with
the openness, transparency, and accountability provisions of BCP
101.  

Consequently, by this message to you and copy of this note to
the IAOC Chair, and under the provisions of Section 3.5 of RFC
4071, I formally request that the Trustees review their actions,
that the IAOC review the actions of the Trustees as part of the
IASA process, and that the following actions be taken:

(i) The Trustees take no further action on any non-emergency
matter until all minutes are up to date and, either as part of
those minutes or otherwise, the Trustees have, as required by
BCP 101, explained to the community the reasoning behind past
decisions, not just announced those decisions.  I believe that
the community would agree that "no more than one meeting behind"
is a sufficient approximation to "up to date" for this purpose
while one set of minutes published with the last twelve months
is clearly not; 

(ii) For those issues for which the Trustees can identify an
emergency requiring immediate action, the provisions of (i) are
waived.  However, identification of an emergency should require
that the emergency and the reasoning supporting that declaration
be identified to the community in a way that can be reviewed
(even if only after the fact and for future adjustment of
procedures).  The provisions identified above with regard to
openness, transparency, and accountability with regard to the
emergency are not waived: the Trustees are still required to
report on decisions and the reasoning for those decisions in a
manner that is sufficiently timely to give the community
opportunity for input unless they can demonstrate to the
satisfaction of the community (also if necessary after the fact)
that harm would occur from those open and transparent practices.

(iii) The Trustees should never issue a call for comment on any
issue lasting less than four weeks unless they can justify the
issue as an emergency as described above.   Even under emergency
circumstances, if there is time for any comment period at all,
there is time to explain to the community why that should be
shorter than four weeks.  To prevent misunderstanding, this
request is for an explanation as provided for in BCP 101, not an
announcement of a decision by the Trustees that a shorter period
is appropriate.

(iv) The Trustees, as a priority matter, explain to the
community how policies that assume that all I-Ds and RFCs are
"IETF documents" are harmonious, or can be harmonized, with the
multi-track model of RFC 4844 and with traditions that go back
to RFC 2026 and much earlier for treating documents that are not
the result of IETF processes (and that may not have been
discussed and reviewed in the IETF).  If proper consideration of
such documents requires revising the Trust Agreement itself, the
Trustees should expeditiously undertake that revision so as to
clarify the status of those documents.

(v)  With regard to the TLP in particular, the Trustees will
provide the community with a summary and review of comments made
on the June 23rd version of that document, their decisions about
each  comment, and the reasoning for those decisions.  No
comment period on any revised draft will be initiated until
after the community has that documentation in hand.  This is a
requirement that is clearly suggested by BCP 101.  While this
level of detail should not be necessary, the previous behavior
of the Trustees, as described above, indicates that it is a
necessary and appropriate remedy.

(vi) The Trustees treat the authorities granted to themselves by
the "Administrative Procedures" document as invalid and without
force until that document is updated to contain specific
provisions for openness, transparency, and accountability,
including the provisions for review outlined above, and the
rough consensus approval of the community is obtained for that
revision.

(v) The Trustees discuss with the IAD (and with themselves as
the IAOC) the question of whether production of timely and
comprehensive minutes requires professional staffing and, if so,
how such staffing can be obtained and covered out of the
relevant budgets.

Finally, I wish to note that while BCP 101 gives the Trustees
and IAOC 90 days to respond to this request for review and broad
discretion about how they respond, taking action on the TLP that
would either be irreversible or that would confuse other
procedures while the review request is under consideration would
constitute grounds for immediate appeal as provided for in
Section 3.5 of RFC 4071 and in RFC 2026.

thank you,
    John Klensin

    john